hxt-relaxng-9.1.5.5: The HXT RelaxNG validator

Copyright | Copyright (C) 2008 Torben Kuseler, Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.XML.HXT.RelaxNG.Simplification

Description

The modul creates the simplified form of a Relax NG schema. See also chapter 4 of the Relax NG specification.

Synopsis

- createSimpleForm :: Bool -> Bool -> Bool -> IOSArrow XmlTree XmlTree
- getErrors :: IOSArrow XmlTree XmlTree
- resetStates :: IOSArrow XmlTree XmlTree

# Documentation

createSimpleForm :: Bool -> Bool -> Bool -> IOSArrow XmlTree XmlTree Source

Creates the simple form of a Relax NG schema

The schema document has to be parsed with namespace propagation

getErrors :: IOSArrow XmlTree XmlTree Source

Returns the list of simplification errors or `none`

resetStates :: IOSArrow XmlTree XmlTree Source